# logical_directory.hpp File Reference

`#include <string>`
`#include <saga/saga/util.hpp>`
`#include <saga/saga/base.hpp>`
`#include <saga/saga/call.hpp>`
`#include <saga/saga/types.hpp>`
`#include <saga/saga/object.hpp>`
`#include <saga/saga/session.hpp>`
`#include <saga/saga/detail/attribute.hpp>`
`#include <saga/saga/packages/namespace/namespace_dir.hpp>`
`#include <saga/saga/packages/replica/logical_file.hpp>`

Go to the source code of this file.

## Namespaces
namespace | saga
namespace | saga::replica
namespace | saga::replica::metrics
## Classes
class | saga::replica::logical_directory
| A logical directory represents a directory entry in the name space of logical files. More...
## Variables
char const *const | saga::replica::metrics::logical_directory_created_entry = "logical_directory.CreatedEntry"
char const *const | saga::replica::metrics::logical_directory_modified_entry = "logical_directory.ModifiedEntry"
char const *const | saga::replica::metrics::logical_directory_deleted_entry = "logical_directory.DeletedEntry"